OpenPermit Docs
ReferenceApi

Upsert paid resource

PUT
/api/v1/seller/resources/{id}

Authorization

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

sellerId*string
method*string
pathTemplate*string
description?string
pricing*|
configurationSource?string
acceptedPaymentMethods*array<>
minimumAssuranceLevel?string
paymentConfig?
resourceId?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v1/seller/resources/string" \  -H "Content-Type: application/json" \  -d '{    "sellerId": "string",    "method": "GET",    "pathTemplate": "string",    "pricing": {      "type": "fixed",      "amount": "string",      "asset": "string"    },    "acceptedPaymentMethods": [      "x402"    ]  }'
{  "resourceId": "string",  "sellerId": "string",  "method": "GET",  "pathTemplate": "string",  "description": "string",  "pricing": {    "type": "fixed",    "amount": "string",    "asset": "string"  },  "configurationSource": "dashboard",  "acceptedPaymentMethods": [    "x402"  ],  "minimumAssuranceLevel": "softwareApproved",  "paymentConfig": {}}
{  "type": "about:blank",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "requestId": "string",  "code": "string",  "errors": [    {      "detail": "string",      "pointer": "string"    }  ]}
{  "type": "about:blank",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "requestId": "string",  "code": "string"}
{  "type": "about:blank",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "requestId": "string",  "code": "string"}
{  "type": "about:blank",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "requestId": "string",  "code": "string"}
{  "type": "about:blank",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "requestId": "string",  "code": "string"}
{  "type": "about:blank",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "requestId": "string",  "code": "string"}